# Omniauth::Elcurator

[![Build Status](https://travis-ci.org/elcurator/omniauth-elcurator.svg?branch=master)](https://travis-ci.org/elcurator/omniauth-elcurator)
[![Coverage Status](https://coveralls.io/repos/github/elcurator/omniauth-elcurator/badge.svg?branch=master)](https://coveralls.io/github/elcurator/omniauth-elcurator?branch=master)

elCurator OAuth2 Strategy for OmniAuth - [elcurator.net](https://wwww.elcurator.net)

Supports the OAuth 2.0 server-side flow. Read the elCurator documentation for more details:
https://www.elcurator.net/developers/authentication

## Installation

Add this to your application's Gemfile:

```ruby
gem 'omniauth'
gem 'omniauth-elcurator'
```

## Usage


`OmniAuth::Strategies::Elcurator` is simply a Rack middleware. Read the OmniAuth 1.0 docs for detailed instructions: https://github.com/intridea/omniauth.

Here's a quick example, adding the middleware to a Rails app in `config/initializers/omniauth.rb`:

```ruby
Rails.application.config.middleware.use OmniAuth::Builder do
  provider :elcurator, ENV['ELCURATOR_KEY'], ENV['ELCURATOR_SECRET']
end
```

Or add this line to devise config:


```ruby
config.omniauth :elcurator, ENV['ELCURATOR_KEY'], ENV['ELCURATOR_SECRET']
```

## Contributing

Bug reports and pull requests are welcome on GitHub.

1. Fork it ( https://github.com/elcurator/omniauth-elcurator/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request

This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](contributor-covenant.org) code of conduct.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

